#!/bin/bash

CWD=`pwd`
INSTALL_ORDER=`cat $CWD/install_order`

echo "You need to be root to run this script!

All existing Xorg packages will be removed so that 
the new ones can be installed.
Continue? (y/n)
"


process_packages() {
#remove all packages that may have the same name as the ones about to be installed
for package in $INSTALL_ORDER; do
	removepkg $package
done

cd $CWD/packages

#install all the new ones
for package in $INSTALL_ORDER; do
	installpkg ./$package*.tlz
done
}

read answer
	case $answer in
		n | no | N ) exit;;
		y | yes | Y ) process_packages;;
		* ) exit;;
	esac
